#!/bin/bash
if [ ! -d "Compiled" ] ; then mkdir Compiled ; fi

if [ "${DRONE_TAG}" ] ; then
    NAME=${DRONE_TAG}
elif [ "${DRONE_BRANCH}" ] ; then
    NAME=${DRONE_BRANCH}-${DRONE_BUILD_NUMBER}
else
    NAME=`git symbolic-ref --short HEAD`
fi

if [ ! "$1" ] || [ "$1" == "0" ] ; then
  echo "#define VERSION \"${NAME}\"" >> compile_flags.h
  arduino-cli compile --build-property build.partitions=huge_app --build-property upload.maximum_size=3145728 -e -b esp32:esp32:esp32 || exit 1
  mv build/esp32.esp32.esp32/*.ino.bin Compiled/${NAME}_HW0.bin
  mv build/esp32.esp32.esp32/*.ino.elf Compiled/${NAME}_HW0.elf
  mv build/esp32.esp32.esp32/*.ino.partitions.bin Compiled/${NAME}_HW0.partitions.bin
  #if [ "$1" ] ; then
    bin/flash Compiled/${NAME}_HW0.bin
  #fi
fi

if [ ! "$1" ] ; then
    7z a -mx=9 Compiled/${NAME}.elf.7z Compiled/*.elf
    rm Compiled/*.elf
fi
